package com.gxzc.zen.api.sys.mapper

import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.common.base.BaseMapper
import org.apache.ibatis.annotations.Param
import org.springframework.stereotype.Repository

/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
@Repository
interface SysRoleMapper : BaseMapper<SysRole> {
    fun selectByUserId(@Param("userId") userId: Long): MutableList<SysRole>
}
