package com.gxzc.zen.common.dto

/**
 * 文件DTO
 * @author NorthLan
 * @date 2018/5/18
 * @url https://noahlan.com
 */
open class ZenFileMetadata {
    var chunkNumber: Int? = null
    var chunkSize: Long? = null
//    var currentChunkSize: Long? = null
    var totalSize: Long? = null
//    var identifier: String? = null
    var filename: String? = null
    var relativePath: String? = null
    var totalChunks: Int? = null
    var lastModified: Long? = null
    var md5: String? = null

    // 重构文件夹结构或重命名特性
    var repath: String? = null
    var rename: String? = null

    // 批次
    var batchId: String? = null
    var totalNumber: Int? = null
}